header: sched.h
macros: []
types:
  - type_name: struct_timespec
  - type_name: time_t
  - type_name: struct_sched_param
  - type_name: size_t
  - type_name: cpu_set_t
  - type_name: pid_t
enums: []
objects: []
functions:
  - name: sched_get_priority_max
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: int
  - name: sched_get_priority_min
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: int
  - name: sched_getaffinity
    standards: 
      - GNUExtensions
    return_type: int
    arguments:
      - type: pid_t
      - type: size_t
      - type: cpu_set_t *
  - name: sched_getparam
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: pid_t
      - type: struct sched_param *
  - name: sched_getscheduler
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: pid_t
      - type: int
      - type: const struct sched_param *
  - name: sched_rr_get_interval
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: pid_t
      - type: struct timespec *
  - name: sched_setaffinity
    standards: 
      - GNUExtensions
    return_type: int
    arguments:
      - type: pid_t
      - type: size_t
      - type: const cpu_set_t *
  - name: sched_setparam
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: pid_t
      - type: const struct sched_param *
  - name: sched_setscheduler
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: pid_t
  - name: sched_yield
    standards: 
      - POSIX 
    return_type: int
    arguments: 
      - type: void
  - name: __sched_getcpucount
    standards: 
      - llvm_libc_ext
    return_type: int
    arguments:
      - type: size_t
      - type: const cpu_set_t *
